#!/bin/bash


success=true
for script in ci/test*.sh; do
  printf "\033[34m\033[1m$script\033[0m\n"
  if $script; then
  printf "\033[32mSuccess\033[0m\n"
  else
    printf "\033[31m\033[1mFailed\033[0m\n"
    success=false
  fi
done

echo ""

if ! $success; then
  printf "\033[31m\033[1mSome tests failed\033[0m\n"
  exit 1
fi

printf "\033[32m\033[1mAll tests passed\033[0m\n"
